프로그래밍, 데이터 과학을 위한 파이썬 입문

프로그래밍, 데이터 과학을 위한 파이썬 입문

(69개의 수강평)

2016명의 수강생
Python빅데이터데이터 분석데이터 과학
33,000원
지식공유자 · TeamLab
118회 수업· 총 16시간 9분수업
평생 무제한 시청
수료증 발급 강의
수강 난이도 입문
유정연 프로필

예시의 함수 input값이 tuple자료형인지 해깔립니다. 유정연 5일 전
안녕하십니까 교수님.  다름이 아니라 각 문제에 주어진 예시들에서 함수 input값이 ([1,2,3], [2,3,4], [5,6,7])) 이런식으로 되여 있어  인자가 tuple형으로 주신건지 아니면 가변인자 인지 확신이 않섭니다.  인자가 tuple형인지 아니면 가변인자인지 알려주시면 감사하겠습니다.

1
MERRY JIN 프로필

backend.ai 설치 MERRY JIN 15일 전
안녕하세요. 좋은 강의 제공해주셔서 정말 감사합니다.  다름이 아니라 백앤드 설치시,  jinjeong-eun@jinjeong-eun-ui-MacBookPro ~ % pip install -U backend.ai-client==19.03.2 DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support Defaulting to user installation because normal site-packages is not writeable ERROR: Could not find a version that satisfies the requirement backend.ai-client==19.03.2 (from versions: none) ERROR: No matching distribution found for backend.ai-client==19.03.2 jinjeong-eun@jinjeong-eun-ui-MacBookPro ~ % python3 Python 3.7.7 (default, Mar 10 2020, 15:43:33)  [Clang 11.0.0 (clang-1100.0.33.17)] on darwin Type "help", "copyright", "credits" or "license" for more information. >>> pip install -U backend.ai-client==19.03.2   File "<stdin>", line 1     pip install -U backend.ai-client==19.03.2               ^ SyntaxError: invalid syntax >>>  이런 과정이 반복이 되는데, 파이썬 설치부터 잘못 된 걸까요? 

1
silberzahn379 프로필

main 함수만 failed silberzahn379 27일 전
터미널에서 파이썬 python fahrenheit_converter.py 로 확인하면 오류없이 결과가 제대로 나오는데 과제제출 결과에선 메인함수만 틀렸다고 나옵니다. 어느부분이 잘못된건가요?

1
Sean Yeon 프로필

과제제출 Sean Yeon 1달 전
과제 제출을 하려면 아래 캡쳐 이미지 하단에서 처럼 "퀴즈풀기"가 아닌 "lablup과제제출 확인" 으로 이미 제출한 것으로 뜨는데 어떻게 하면 좋을까요?

1
santi1300 프로필

atom실행시키면 자꾸 꺼져버려요 santi1300 1달 전
atom실행시키면 자꾸 꺼져요 ㅠㅠ 왜그런가요? 다시 지우고 설치해도똑같네요

1
CJH 프로필

숙제 제출시 오류 CJH 2달 전
Traceback (most recent call last):   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\connector.py", line 822, in _wrap_create_connection     return await self._loop.create_connection(*args, **kwargs)   File "c:\users\hs277\miniconda3\lib\asyncio\base_events.py", line 985, in create_connection     ssl_handshake_timeout=ssl_handshake_timeout)   File "c:\users\hs277\miniconda3\lib\asyncio\base_events.py", line 1013, in _create_connection_transport     await waiter   File "c:\users\hs277\miniconda3\lib\asyncio\sslproto.py", line 530, in data_received     ssldata, appdata = self._sslpipe.feed_ssldata(data)   File "c:\users\hs277\miniconda3\lib\asyncio\sslproto.py", line 189, in feed_ssldata     self._sslobj.do_handshake()   File "c:\users\hs277\miniconda3\lib\ssl.py", line 774, in do_handshake     self._sslobj.do_handshake() ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1076) The above exception was the direct cause of the following exception: Traceback (most recent call last):   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\request.py", line 389, in __aenter__     raw_resp = await self.rqst_ctx.__aenter__()   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\client.py", line 855, in __aenter__     self._resp = await self._coro   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\client.py", line 370, in _request     timeout=timeout   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\connector.py", line 445, in connect     proto = await self._create_connection(req, traces, timeout)   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\connector.py", line 757, in _create_connection     req, traces, timeout)   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\connector.py", line 879, in _create_direct_connection     raise last_exc   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\connector.py", line 862, in _create_direct_connection     req=req, client_error=client_error)   File "c:\users\hs277\miniconda3\lib\site-packages\aiohttp\connector.py", line 825, in _wrap_create_connection     req.connection_key, exc) from exc aiohttp.client_exceptions.ClientConnectorCertificateError: Cannot connect to host api.backend.ai:443 ssl:True [SSLCertVerificationError: (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1076)')] The above exception was the direct cause of the following exception: Traceback (most recent call last):   File "c:\users\hs277\miniconda3\lib\runpy.py", line 193, in _run_module_as_main     "__main__", mod_spec)   File "c:\users\hs277\miniconda3\lib\runpy.py", line 85, in _run_code     exec(code, run_globals)   File "C:\Users\hs277\miniconda3\Scripts\backend.ai.exe\__main__.py", line 7, in <module>   File "c:\users\hs277\miniconda3\lib\site-packages\click\core.py", line 829, in __call__     return self.main(*args, **kwargs)   File "c:\users\hs277\miniconda3\lib\site-packages\click\core.py", line 782, in main     rv = self.invoke(ctx)   File "c:\users\hs277\miniconda3\lib\site-packages\click\core.py", line 1259, in invoke     return _process_result(sub_ctx.command.invoke(sub_ctx))   File "c:\users\hs277\miniconda3\lib\site-packages\click\core.py", line 1066, in invoke     return ctx.invoke(self.callback, **ctx.params)   File "c:\users\hs277\miniconda3\lib\site-packages\click\core.py", line 610, in invoke     return callback(*args, **kwargs)   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\cli\run.py", line 577, in run     if is_legacy_server():   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\session.py", line 24, in is_legacy_server     ret = session.Kernel.hello()   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\base.py", line 21, in _method     return cls.session.worker_thread.execute(coro)   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\session.py", line 64, in execute     raise result   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\session.py", line 48, in run     result = loop.run_until_complete(coro)   File "c:\users\hs277\miniconda3\lib\asyncio\base_events.py", line 583, in run_until_complete     return future.result()   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\kernel.py", line 46, in hello     async with rqst.fetch() as resp:   File "c:\users\hs277\miniconda3\lib\site-packages\ai\backend\client\request.py", line 399, in __aenter__     raise BackendClientError(msg) from e ai.backend.client.exceptions.BackendClientError: BackendClientError('Request to the API endpoint has failed.\nCheck your network connection and/or the server status.\n➜ ClientConnectorCertificateError()')

0
CJH 프로필

backend ai 지울 수 있는 방법 알려주세요 CJH 2달 전
backend ai 지울 수 있는 방법 알려주세요

0
gwon.rran 프로필

미니콘다 설치 gwon.rran 2달 전
강의 내용과는 조금 다르게 나오는데 설치가 잘 된것일까요?

1
CJH 프로필

1분 50초에 설명하신거 이거 맞나요? CJH 2달 전
    #char = I(0)일때 reverse_sentence(2) = I + ''     #reverse_sentence(2) = I''     #char = ''(1)일때 reverse_sentence(2) = '' + I''     #reverse_sentence(2) = ''I''     #char = l(L)(2)일때 reverse_sentence(2) = l(L) + ''I''     #reverse_sentence(2) = l(L)''I''

1
강래연 프로필

왜 저는 오류가 뜰까요 제대로 했다고 생각하는데 모르겠습니다 강래연 2달 전

1
윤동열 프로필

Chapter 7 자료구조에서 Command_count 강의에서 윤동열 2달 전
Traceback (most recent call last):   File "C:/Users/SHIN HO JIN/PycharmProjects/deeplearning/inflearn_python.py", line 222, in <module>     for row in spamreader: UnicodeDecodeError: 'cp949' codec can't decode byte 0x80 in position 590: illegal multibyte sequence 다음과 같은 에러가 발생하면서 파일을 읽어내지 못합니다. encoding을 어떻게 해야되나요? 감사합니다.

1
de1996 프로필

강의자료와 주소들에 내용이 없습니다. de1996 2달 전
강의자료가 onedrive로 연결이 되는데 시간이 지나 만료 됐다고 뜨고 직접 url을 치고 들어가도 없다고 뜹니다. 깃허브에 올라와있는 파일들은 다운받아 사용하고 있는데 강의 pdf파일이나 예제파일도 받아서 보고싶습니다. 혹시 다른 링크같은게 있을까요?

1
강래연 프로필

script 과 autocomplete-python 강래연 2달 전
이 검색해도 패키지로 안나오는데요 어떻게 해야하나요

1
de1996 프로필

코드가 어디서 잘못된지 모르겠습니다. de1996 2달 전
    english = get_cleaned_english_sentence(english_sentence).upper()     print(type(english))     ' '.join(english)     print(english)     english_list = list(english)     print(english_list)     english_morse = [encoding_character(i) for i in english_list]     print(english_morse)     return ''.join(english_morse) 코드를 이렇게 짜고 첫번째 프린트문은 string타입으로 나옵니다. 그러면 ' '.join(english)를 했을 때 띄어쓰기가 돼야하는데 두번째 프린트문 에서는 띄어쓰기가 안된상태로 나옵니다.   python shell에서 여러번 실험 해봐도 ' '.join을 하면 띄어쓰기가 된 상태로 나오는데 위 코드에서는 왜 안되는지 모르겠습니다.

1
CJH 프로필

python 리스트만의 특징 CJH 3달 전
이해가 잘 안돼요.

1
지식공유자 되기
많은 사람들에게 배움의 기회를 주고,
경제적 보상을 받아보세요.
지식공유참여
기업 교육을 위한 인프런
“인프런 비즈니스” 를 통해 모든 팀원이 인프런의 강의들을
자유롭게 학습하는 환경을 제공하세요.
인프런 비즈니스